package com.javaonpdas.ui;

import java.awt.*;
import java.awt.event.*;

public class BorderLayoutWindow extends Frame {

  public BorderLayoutWindow(String title) {
    super(title);
    // handle frame closing events
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    } );
    // add components
    setLayout(new BorderLayout());
    add("North",  new Button("North"));
    add("South",  new Button("South"));
    add("East",   new Button("East"));
    add("West",   new Button("West"));
    add("Center", new Button("Center"));
  }

  public static void main(String[] args) {
    Frame f = new BorderLayoutWindow("BorderLayoutWindow");
    f.setSize(f.getToolkit().getScreenSize());
    f.show();
  }
}
