package com.javaonpdas.persistence.rms;

import java.io.*;

public class Movie implements Serializable {
  public String title;
  public String actors;
  public long yearReleased;

  public Movie() {
  }

  public Movie(String title, String actors, long yearReleased) {
    this.title = title;
    this.actors = actors;
    this.yearReleased = yearReleased;
  }

  public void writeObject(DataOutputStream dos)
    throws IOException {

    dos.writeUTF(title);
    dos.writeUTF(actors);
    dos.writeLong(yearReleased);
  }

  public void readObject(DataInputStream dis)
    throws IOException {

    title = dis.readUTF();
    actors = dis.readUTF();
    yearReleased = dis.readLong();
  }

    public String toString() {
        StringBuffer result = new StringBuffer(title);
        result.append(", released ");
        result.append(yearReleased);
        result.append(", starring ");
        result.append(actors);
        return result.toString();
    }
}
