package com.javaonpdas.ui;

import java.awt.*;
import java.awt.event.*;

public class Buttons extends Frame implements ActionListener {

  public Buttons(String title) {
    super(title);
    // handle frame closing events
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    } );
    // add components
    setLayout(new FlowLayout(FlowLayout.LEFT, 10, 10));
    Button button1 = new Button("Button 1");
    add(button1);
    button1.addActionListener(this);
    Button button2 = new Button("Button 2");
    add(button2);
    button2.addActionListener(this);
    Button button3 = new Button("Button 3");
    add(button3);
    button3.addActionListener(this);
  }

  public void actionPerformed(ActionEvent evt) {
    String cmd = evt.getActionCommand();
    System.out.println(cmd + " was pressed.");
  }

  public static void main(String[] args) {
    Frame f = new Buttons("Buttons");
    f.setSize(f.getToolkit().getScreenSize());
    f.show();
  }
}
