package com.javaonpdas.ui;

import java.awt.*;
import java.awt.event.*;

public class Checkboxes extends Frame {

  public Checkboxes(String title) {
    super(title);
    // handle frame closing events
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    } );
    // add components
    setLayout(new FlowLayout(FlowLayout.LEFT, 10, 10));
    Checkbox checkbox1 = new Checkbox("Box 1", null, true);
    Checkbox checkbox2 = new Checkbox("Box 2", null, false);
    Checkbox checkbox3 = new Checkbox("Box 3", null, false);
    Checkbox checkbox4 = new Checkbox("Box 4", null, false);
    Checkbox checkbox5 = new Checkbox("Box 5", null, false);
    add(checkbox1);
    add(checkbox2);
    add(checkbox3);
    add(checkbox4);
    add(checkbox5);
  }

  public static void main(String[] args) {
    Frame f = new Checkboxes("Checkboxes");
    f.setSize(f.getToolkit().getScreenSize());
    f.show();
  }
}
