package com.javaonpdas.ui;

import java.awt.*;
import java.awt.event.*;

public class FlowLayoutWindow extends Frame {

  public FlowLayoutWindow(String title) {
    super(title);
    // handle frame closing events
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    } );
    // add components
    setLayout(new FlowLayout());
    Button button1 = new Button("Ok");
    Button button2 = new Button("Open");
    Button button3 = new Button("Close");
    add(button1);
    add(button2);
    add(button3);
  }

  public static void main(String[] args) {
    Frame f = new FlowLayoutWindow("FlowLayoutWindow");
    f.setSize(f.getToolkit().getScreenSize());
    f.show();
  }
}
